



#ifndef __IMAGER_APP_H
#define __IMAGER_APP_H

#include "defs.h"



/* Function prototypes - system */

gboolean watchdog (gpointer data);
void app_init();
void app_exit ();
int int_setup ();
void clickstack_add (int x, int y, int z);
void set_display_title (char* filename);
void gtk_adjustment_init_val (GtkAdjustment *adjustment, float curval, 
								float lowbnd, float upbnd);
void open_file (char* filename);
int  save_file (char* filename, image_type* my_im);
int internal_file_read (char* filename, image_type* img);
void file_read (char* filename);
void prepare_display_window (char* filename);
void re_aspect (char incdec);
void reset_zoomlevel ();
void close_file ();
void redraw (int must_apply);
void make_minmax (image_type* img);
void undo_nexus (image_type* img);
void undo_stack_invalidate ();
void do_undo ();


void statusbar_display (const char* text);
void indicate_progress (float frac);
void reset_progress ();
void zslice_spin_register (gpointer func);
void zslice_spin_unregister ();
void new_zslice (int z);
void init_scrollbars();
void about_window ();
GtkWidget *display_license ();
GtkWidget *display_release_notes ();
void display_license_splash ();
int  start_help ();

/* Function prototypes - others */

void clickhandler (int mousex, int mousey);
void pixelpeek (int x, int y);
void view_profile_xyz (image_type* img, int x1, int y1, int z1, int x2, int y2, int z2);
void view_profile();
void view_linesum_x(image_type* img, int z);
void view_linesum_y(image_type* img, int z);
void imginfo (image_type* img);

#endif
